// Copyright (c) 2015, InfluxFramework LLC
// MIT License. See license.txt

influxframework.ui.form.on("Property Setter", {
	validate: function (frm) {
		if (frm.doc.property_type == "Check" && !in_list(["0", "1"], frm.doc.value)) {
			influxframework.throw(__("Value for a check field can be either 0 or 1"));
		}
	},
});
